Subject: bug#13566: 24.1; Too easy to forget things with remember

From: Glenn Morris <[email-masked]>
Date: Tue, 14 May 2013 03:42:20 -0400

Reuben Thomas wrote:

> The *Remember* buffer, as a non-file-visiting buffer, does not cause a
> prompt when you kill it or exit Emacs with the contents unsaved. This is
> unfortunate: I just lost 15 minutes' work when I hit C-x C-c in
> remember-mode by mistake instead of C-c C-c.
>
> I can fix this particular problem by adding
>
> (lambda nil (setq buffer-offer-save t))
>
> to remember-mode-hook, but shouldn't this be the default behavior?

Sounds right, please apply.
Or maybe (I don't use remember) you want to add remember-finalize to
kill-emacs-hook or kill-emacs-query-functions.